/************************************************************
	FILE: lib_defs.h

************************************************************/

#ifdef SUN
#define SEEK_SET 0
#endif

#include <stdio.h>
#include <math.h>
#define RLE 1
#define TRUE 1
#define FALSE 0
#define VECSIZE 4
#define MAX_ARGS 10
const float DEG_RAD = 3.1416f/180.0f;
#define CIRC_PTS 20
#define GLSTENCOLOUR  glColor3f(0.0,0.0,0.0)

typedef int BOOL;
typedef float FVEC[VECSIZE];
typedef int IVEC[VECSIZE];
#define STRLEN 100
typedef char STR[STRLEN];
typedef int (*PFI)();          // ptr to function that returns int
typedef void (*PFV)();         // ptr to function that returns void
typedef float GLmatrix[4][4];
typedef float Matrix[4][4];
#define MAX_EQNS 4
typedef float MAT[MAX_EQNS][MAX_EQNS];


typedef struct {
		char name[STRLEN];
		int type;
		char *ptr;
} SETVAR;

typedef struct image {
  int xsize,ysize;
  unsigned char *data;
  char name[80];
  int num;                 // image number for OpenGL
  int clamp;               // flag: clamp or repeat
  struct image *next;
} IMAGE;

extern IMAGE *find_image();
extern char *mymalloc();
extern int cerr(int argc, char **argv, char *errmsg);

extern void SetPixel(int x, int y, float r, float g, float b);






